/*****************************************************************************
 * Module    : User
 * File      : user_spi.c
 * Author    : Hanny
 * Function  : 用户的SPI操作，主要用于跟读与磁带复读等功能
 *****************************************************************************/
#include "include.h"
extern void set_sys_clk_lib(u8 mode);
//SPIFlash是否支持4K Sector擦除
#pragma location="INIT_SEG"
bool spi_4k_support(void)
{
    return SPI_4K_SECTOR_SUPPORT;
}

//使用多少个参数页，最多支持4个参数页
#pragma location="INIT_SEG"
u8 spi_param_page(void)
{
    return PARAM_PAGE;
}

#pragma location="INIT_SEG"
__root void set_sys_clk_hook(u8 mode)  //
{
    //printf("clkhook%d\n",mode);
}


#pragma location="INIT_SEG"
void set_sys_clk(u8 mode)
{
    set_sys_clk_lib(mode);  //调用以前lib中的clk设置函数
    switch (mode) {         //预留外部修改接口
    case SYS_48M:
        break;

    case SYS_24M:
        break;

    case SYS_12M:
        break;

    case SYS_3M:
        break;

    case SYS_OSC_3M:
        break;

    case SYS_RC_4M:
        break;
    }
}


